## ECellDateEdit ECellDateEdit |

## Functions

ECell * | e_cell_date_edit_new ()
void | e_cell_date_edit_freeze ()
void | e_cell_date_edit_thaw ()
void | e_cell_date_edit_set_get_time_callback ()

## Description

## Functions

### e_cell_date_edit_new ()

    ECell *
    e_cell_date_edit_new (void);

`e_cell_date_edit_new` is deprecated and should not be used in newly-written code.

Creates a new ECellDateEdit renderer.

#### Returns

an ECellDateEdit object.

### e_cell_date_edit_freeze ()

    void
    e_cell_date_edit_freeze (ECellDateEdit *ecde);

`e_cell_date_edit_freeze` is deprecated and should not be used in newly-written code.

### e_cell_date_edit_thaw ()

    void
    e_cell_date_edit_thaw (ECellDateEdit *ecde);

`e_cell_date_edit_thaw` is deprecated and should not be used in newly-written code.

### e_cell_date_edit_set_get_time_callback ()

    void
    e_cell_date_edit_set_get_time_callback
                                   (ECellDateEdit *ecde,
                                    ECellDateEditGetTimeCallback cb,
                                    gpointer data,
                                    GDestroyNotify destroy);

`e_cell_date_edit_set_get_time_callback` is deprecated and should not be used in newly-written code.

## Types and Values